<a
    class="close-navbar-toggler collapsed"
    data-bs-toggle="collapse"
    data-bs-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent"
    aria-expanded="false"
    aria-label="Toggle navigation"
></a>
<nav class="navbar navbar-expand-lg navbar-light bg-white">
    <div class="container-fluid border-0 m-2">
        <a class="navbar-brand" [routerLink]="['/']" queryParamsHandling="preserve">
            <img src="../assets/img/EuroDaT_Logo.svg" height="75px" alt="" />
        </a>

        <h1 class="d-none d-lg-block position-absolute top-50 start-50 translate-middle">{{ headingText }}</h1>

        <button
            class="navbar-toggler collapsed d-flex flex-column justify-content-around d-lg-none"
            type="button"
            data-bs-toggle="collapse"
            data-bs-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent"
            aria-expanded="false"
            aria-label="Toggle navigation"
        >
            <span class="toggler-icon top-bar"></span>
            <span class="toggler-icon middle-bar"></span>
            <span class="toggler-icon bottom-bar"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ms-auto">
                @if (!authenticated) {
                    <li class="nav-item me-1 ms-2 mb-2 mb-md-0">
                        <button type="button" class="btn btn-light" (click)="login()"><i class="bi bi-box-arrow-in-right"></i> Login</button>
                    </li>
                }
                @if (!authenticated) {
                    <li class="nav-item me-1">
                        <button class="btn btn-outline-primary custom-btn" (click)="register()">Sign-up</button>
                    </li>
                }
                @if (authenticated) {
                    <li class="nav-item me-1 ms-2">
                        <button type="button" class="btn btn-light" (click)="logout()"><i class="bi bi-box-arrow-right"></i> Logout</button>
                    </li>
                }
            </ul>
        </div>
    </div>

    <div class="col justify-content-center">
        <h1 class="text-center mt-3 d-lg-none">{{ headingText }}</h1>
    </div>
</nav>

<main>
    <section class="content-center mt-0 pt-0">
        <router-outlet></router-outlet>
    </section>
</main>
<div class="py-5"></div>
<footer class="container-fluid text-white">
    <div class="row m-2">
        <div class="col col-12 col-md-4 text-md-start text-center align-self-center m-2 m-md-0">
            <img class="brand-logo" src="../assets/img/EuroDaT_Logo.svg" height="75px" alt="" />
        </div>
        <div class="col col-12 col-md-4 text-center align-self-center my-4 m-md-0">
            <div class="row">
                <div class="col col-md-6 text-md-end pe-md-3 pe-0">
                    <a href="https://www.eurodat.org/impressum" class="footer-link">Impressum</a>
                </div>
                <div class="col col-md-6 text-md-start ps-md-3 ps-0">
                    <a href="https://www.eurodat.org/datenschutz" class="footer-link">Datenschutz</a>
                </div>
            </div>
        </div>
        <div class="col col-12 col-md-4 text-md-end text-center align-self-center m-2 m-md-0">
            <p class="medium align-items-center m-0 p-0">Copyright &copy; {{ currentYear }} EuroDaT</p>
        </div>
    </div>
</footer>
